declare
  cursor c_obj is select object_id, object_name, status from user_objects; 
  l_params rep2.t_params;
begin
  delete from store_blob;
  commit;
  for f_obj in c_obj loop
    --set params
    l_params.object_id := f_obj.object_id;
    l_params.object_name := f_obj.object_name;
    l_params.status := f_obj.status;
    --run
    rep2.mailmergeDOCX(
     p_params => l_params
     );
    --save
    insert into store_blob (blob_file,created_date,filename) values ( rep2.v_docx,sysdate, f_obj.object_id ||'.pdf');  
  end loop;
  commit;
end;
